* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Poppins, sans-serif;
}

body {
  width: 100%;
  height: 100%;
  position: relative;
}

::-webkit-scrollbar {
  width: 10px;
  border: 2px solid #a5393900;
  border-radius: 10px;
}

::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar-thumb {
  width: 10px;
  background: #4b4b4b8f;
  opacity: 0;
}

/* ------------------------- Navbar ------------------------- */
nav {
  height: 60px;
  width: 100%;
  /* border: 2px solid black; */
  margin: 2px 0;
  vertical-align: middle;
}
nav ul {
  padding: 0 10px;
  height: 100%;
  display: grid;
  grid-template-columns: 1fr 4fr 1fr;
  justify-content: space-between;
  align-items: center;
}
.hamburger {
  display: none;
}
.logo {
  padding-top: 5px;
  display: flex;
  align-items: center;
  position: relative;
  left: 20px;
}
.logo img {
  height: 35px;
  width: 40px;
}
.homeIcon {
  display: flex;
  height: 50px;
  width: 50px;
  align-items: center;
  justify-content: center;
  margin-right: 10px;
  border-radius: 100%;
}
.homeIcon img {
  width: 30px;
  height: 30px;
}

.search {
  display: flex;
  justify-self: center;
  align-items: center;
}

.search input {
  width: 20vw;
  font-size: medium;
  height: 40px;
  border: none;
}
.search input[type="text"] {
  outline: none;
}
.search .input {
  border-radius: 25px;
  display: flex;
  align-items: center;
  padding: 5px 5px;
  border: 2px solid black;
  height: 50px;
}
.search .input span {
  border-left: 1px solid var(--lightgrey);
  height: 70%;
}
.search .input svg {
  height: 25px;
  margin: 0 10px;
}
nav ul li:nth-child(3) {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.options {
  display: flex;
  align-items: last center;
  gap: 20px;
  padding: 0 10px;
  align-self: center;
}
.options .premium {
  display: flex;
  align-items: center;
  padding: 5px 14px;
  height: 35px;
  width: max-content;
  border-radius: 20px;
}
.options .premium h4 {
  font-weight: 600;
  font-size: 14px;
}
.options .androidApp {
  display: flex;
  gap: 5px;
  align-items: center;
  justify-content: center;
  width: max-content;
}
.options .androidApp img {
  height: 20px;
  width: 20px;
}
.options .androidApp h4 {
  font-weight: bold;
  font-size: 13px;
}

.options .notification {
  display: flex;
  align-items: center;
  justify-content: center;
}
.options .notification img {
  height: 20px;
  width: 20px;
}

.options .user {
  border-radius: 10px;
  width: max-content;
  height: 35px;
  padding: 10px;
  display: flex;
  align-items: center;
  /* gap: 5px; */
}
.options .user h4 {
  font-size: 14px;
}
/* ------------------------- Navbar Ends ------------------------- */

/* ---------------------------------- Main Panels --------------------------------- */

/* ------------------------- Left Panel ------------------------- */
.container {
  display: grid;
  grid-template-columns: 25% 75%; /* Left, Main, Right widths */
  grid-template-rows: 1fr auto; /*  Main content and soundbar heights */
  grid-template-areas: "left right";
  /* height: 90vh; Full viewport height */
  margin: 0 10px;
  gap: 5px; /*Optional: Add gaps between grid items*/
}

/* .container {
  display: flex;
  gap: 6px;
  padding: 0 5px;
} */
.left_panel,
.right_panel {
  border-radius: 10px;
  padding: 0.5rem;
  height: 80vh;
  /* display: flex; */
}
.left_panel {
  grid-area: left;
  display: grid;
  /* flex-direction: column; */
  width: 100%;
  border: 2px solid black;
  /* gap: 10px; */
  grid-template-rows: 0.5fr 3fr;
  position: relative;
}
.right_panel {
  grid-area: right;
  width: 100%;
  border: 2px solid black;
}
.svg {
  height: 25px;
  width: 25px;
}
.left_panel .closebtn {
  display: none;
}
.library {
  display: flex;
  align-items: baseline;
  position: relative;
  /* gap: 10px; */
  padding: 10px 15px;
}
.library div:first-child {
  display: flex;
  gap: 10px;
  align-items: center;
}
.add_album {
  position: absolute;
  right: 15px;
}
.add_album img {
  min-height: 20px;
  min-width: 20px;
  padding: 5px;
}


.playlist_albums {
  overflow-y: scroll;
  box-shadow: inset 0px 12px 10px -8px #0000007a;
}

.songsList ul li {
  width: 98%;
  border-radius: 5px;
  margin-bottom: 10px;
  padding: 7px 10px;
  color: white;
  font-size: 14px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 10px;
  position: relative;
}
.songsList ul li svg {
  color: white;
}
.songsList ul li svg:focus {
  color: #1cc558;
}
.songsList ul {
  display: block;
  margin-top: 10px;
  gap: 10px;
}

.songsList ul li svg:last-child {
  position: absolute;
  height: 30px;
  width: 30px;
  right: 5px;
  opacity: 0;
  color: #1cc558;
  fill: #1cc558;
}
.songsList ul li:hover svg:last-child {
  opacity: 1;
  color: #1cc558;
  transition: 0.2s ease;
}
.songsList ul li:focus svg:first-child {
  color: #1cc558;
}
.songsList ul li svg,
.songsList ul li {
  transition: color 0.3s ease; /* Smooth transition for SVG color and text */
}


.info {
  margin-bottom: 2rem;
  padding-right: 30px;
}

.info li {
  list-style: none;
  /* padding: 10px 15px; */
  display: inline;
  padding-inline: 5px;
  font-size: 0.7rem;
}
.info_section_left {
  position: absolute;
  display: flex;
  flex-direction: column;
  bottom: 2rem;
  left: 20px;
  min-height: 50px;
  /* max-height: 20vh; */
  /* width: 100%; */
}
.lang button {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 5px;
  padding: 0.3rem 0.7rem;
  border-radius: 18px;
  font-weight: 600;
  margin-top: 10px;
}
.lang svg {
  height: 16px;
  width: 16px;
}
/* ------------------------- Left Panel Ends ------------------------- */

/* ------------------------- Right Panel ------------------------- */
.right_panel {
  overflow-y: scroll;
  position: relative;
}
.playlists_section {
  padding: 10px;
}
.playlists_section h2 {
  font-size: 1.5rem;
  margin-bottom: 10px;
}
.card_container {
  display: flex;
  flex: 1 1 0;
  flex-wrap: wrap;
}
.card_container .card {
  position: relative;
  width: 200px;
  height: 100%;
  padding: 15px;
  border-radius: 10px;
}
.card_container .card img {
  width: 100%;
  object-fit: contain;
  border-radius: 10px;
}
.card_container .card p {
  margin-top: 5px;
  font-size: 12px;
  font-weight: 500;
  opacity: 0.7;
  text-wrap: wrap;
}
.card_container .card svg {
  width: 50px;
  height: 50px;
  position: absolute;
  right: 20px;
  top: 150px;
  opacity: 0;
}
.card_container .card svg circle {
  fill: #1cc558;
  stroke: #1cc558;
}
.card_container .card svg:hover circle {
  filter: brightness(150%);
  transition: 0.3s ease;
}
.card_container .card:hover svg {
  cursor: pointer;
  transition: 0.3s ease;
  opacity: 1;
  top: 125px;
}

.info_section_right .section_container {
  background-color: #121212;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  position: absolute;
  width: 99%;
  bottom: 5px;
  padding: 10px;
  padding-bottom: 5px;
}

.info_section_right li {
  margin-top: 5px;
  font-size: 1rem;
  font-weight: 400;
}

.info_section_right .section_container li:not(:first-child) {
  opacity: 0.5;
}
.info_section_right .section_container li:not(:first-child):hover {
  cursor: pointer;
  opacity: 1;
  text-decoration: underline;
}
/* ------------------------- Right Panel Ends ------------------------- */
/* ---------------------------------- Main Panels Ends --------------------------------- */

/* ------------------------- Footer/Soundbar ------------------------- */
footer {
  height: 9vh;
}
footer .soundbar > * {
  height: 100%;
}

footer .soundbar {
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;
  justify-content: space-between;
  align-items: center;
  padding: 0 15px;
  margin-top: 5px;
  height: 100%;
  width: 100%;
  color: white;
}

.soundbar .song_info {
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: default;
}
.soundbar .song_info svg {
  color: #1cc558;
  filter: brightness(150%);
  height: 30px;
  width: 30px;
}

.soundbar .song_player {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  gap: 10px;
}

.songControls {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  margin-top: 5px;
}

.songControls img:nth-child(2) {
  height: 35px;
}
.songControls img:not(:nth-child(2)) {
  opacity: 0.7;
}
.songControls img:hover {
  cursor: pointer;
  opacity: 1;
  transform: scale(1.05);
  transition: 0.2s ease;
}
.controlbar {
  width: 100%;
  display: flex;
  justify-content: center;
  display: flex;
  gap: 5px;
  align-items: center;
  justify-content: center;
}
.controlbar .songtime_current,
.songtime_total {
  font-size: small;
  opacity: 0.7;
  width: 30px;
  text-align: center;
  cursor: default;
}
.controlbar .seekbar {
  /* border: 1px solid white; */
  width: 80%;
  height: 5px;
  background-color: #ffffff8e;
  position: relative;
  display: flex;
  align-items: center;
  border-radius: 10px;
  cursor: pointer;
}
.seekbar .seekbar_track {
  width: 100%;
  height: 5px;
  border-radius: 10px;
  background-color: none;
  /* opacity: 0.1; */
  z-index: 6;
}

.seekbar .length {
  width: 10px;
  height: 5px;
  background-color: #0b8536;
  border-radius: 10px;
  position: absolute;
  /* left: 0; */
  width: 0%;
  max-width: 100%;
  transition: all 0.1s;
  z-index: 0;
}
.seekbar .circle {
  width: 5px;
  height: 5px;
  border-radius: 50%;
  background-color: whitesmoke;
  position: absolute;
  left: 0%;
  transition: left 0.5s;
  opacity: 0;
  z-index: 5;
}
.seekbar:hover .circle {
  height: 10px;
  width: 10px;

  transition: all 0.1s;
  opacity: 1;
  cursor: pointer;
}
.volume_button {
  display: flex;
  align-items: center;
  justify-content: right;
  padding: 0 10px;
}
.range {
  display: flex;
  align-items: center;
}
.volume_button img {
  height: 20px;
  margin: 0 5px;
  opacity: 0.8;
}
.volume_button input {
  height: 3px;
  width: 7rem;
  border-radius: 15px;
}

/* ---------------------- Resposiveness ---------------------- */

@media screen and (max-width: 420px) {
  nav .logo {
    display: none;
  }

}
@media screen and (max-width: 530px) /*Mobile Screen*/ {


  .options .notification {
    display: none;
  }

  .search .input {
    display: none;
  }
  .options .premium {
    transform: scale(0.8);
  }
  .options {
    padding: 0;
    gap: 0;
  }
  .right_panel {
    height: 75vh;
  }
  footer .soundbar {
    margin-top: 0;
    grid-template-columns: 1fr 2fr 0.5fr;
  }
  .soundbar .song_info {
    display: flex;
    gap: 5px;
  }
  .song_name {
    font-size: 0.8rem;
  }
  .volume_button {
    padding: 0;
    position: relative;
  }

  .volume_button input {
    /* display: block; Show the range input when the volume button is focused */
    position: absolute; /* Position the range input absolutely */
    bottom: 90px; /* Position it above the volume icon */
    right: -20px; /* Adjust horizontal position */
    transform: rotate(-90deg); /* Rotate the range input vertically */
    width: 80px; /* Set a fixed width for the slider */
    /* height: 10px; */
    background-color: #333; /* Add a background color for better visibility */
    padding: 3px; /* Add some padding */
    border-radius: 5px; /* Add rounded corners */
    display: none;
  }
  .volume_button:focus-visible input {
    display: block;
  }
  

}
@media screen and (max-width: 768px) /*Mobile-Tab Screen*/ {
  nav {
    margin: 0;
    height: 8vh;
  }
  .homeIcon{
    height: 40px;
    width: 40px;
  }
  .homeIcon img{
    height: 25px;
    width: 25px;
  }
  .hamburger {
    height: 30px;
    display: block;
  }
  nav ul li:first-child {
    display: flex;
    align-items: center;
  }
  nav ul .logo {
    left: 15px;
  }
  .options .androidApp {
    display: none;
  }
  .homeIcon {
    margin-right: 2px;
  }
  .search {
    justify-self: end;
  }
  .search input,
  .search .input span:last-child {
    display: none;
  }
  .search .input {
    background-color: transparent;
  }

  .left_panel .closebtn {
    display: block;
  }
  .left_panel {
    left: -100%;
    transition: all 0.3s;
    z-index: 1;
    width: 70vw;
    position: absolute;
    top: 0;
    height: 100vh;
    grid-template-rows: 0.25fr 0.5fr 3fr;
  }
  .right_panel {
    z-index: 0;
    width: 100%;
    height: 72vh;
  }
  .container {
    grid-template-columns: 0% 99%;
    gap: none;
    margin: 0;
  }
  .card_container {
    flex-direction: column;
    gap: 10px;
    padding: 5px;
  }
  .card_container .card {
    width: 100%;
    height: 18vh;
    display: flex;
    position: relative;
    background-color: var(--boxes);
  }
  .card_container .card img {
    width: 30%;
    border-radius: 20px;
  }

  .card_container .card svg {
    opacity: 1;
    position: absolute;
    right: 10px;
    top: 70px;
  }
  .card_container .card:hover svg {
    cursor: pointer;
    opacity: 1;
    top: 70px;
  }
  .card_container .card p {
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  footer .soundbar{
    margin-top: 0px;
    height: 10vh;
  }
  .footer {
    height: 10vh;
    width: 99%;
  }
}
@media screen and (min-width: 769px) and (max-width: 1279px) /* Laptop-Tab Screen*/ {
}
@media screen and (min-width: 1280px) {
  .soundbar .song_player{
    gap: 0;
  }
  nav{
    height: 8vh;
  }
}
